﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace DigitalSchoolApi.Models
{
    /// <summary>
    /// 描 述：班级信息管理
    /// </summary>
    public class ClassInfoEntity
    {
        #region  实体成员
        /// <summary>
        /// ClassId
        /// </summary>
        public string ClassId { get; set; }
        /// <summary>
        /// 行政班码
        /// </summary>
        public string ClassNo { get; set; }
        /// <summary>
        /// 行政班名
        /// </summary>
        public string ClassName { get; set; }
        /// <summary>
        /// 系所码
        /// </summary>
        public string DeptNo { get; set; }
        /// <summary>
        /// 专业码
        /// </summary>
        public string MajorNo { get; set; }
        /// <summary>
        /// 专业方向号（如0，1，2，3，4，5） 0代表无专业方向细分
        /// </summary>
        public string MajorDetailNo { get; set; }
        /// <summary>
        /// 专业方向名
        /// </summary>
        public string MajorDetailName { get; set; }
        /// <summary>
        /// 年级
        /// </summary>
        public string Grade { get; set; }
        /// <summary>
        /// 学生人数
        /// </summary>
        public int? StuNum { get; set; }
        /// <summary>
        /// 年级内序号
        /// </summary>
        public string SerialNum { get; set; }
        /// <summary>
        /// 班主任职工号
        /// </summary>
        public string ClassDiredctorNo { get; set; }
        /// <summary>
        /// 辅导员职工号
        /// </summary>
        public string ClassTutorNo { get; set; }
        /// <summary>
        /// 班级名称全称(根据年级、专业名称、序号自动生成）
        /// </summary>
        public string ClassNameFull { get; set; }
        /// <summary>
        /// 审核标志
        /// </summary>
        public bool? CheckMark { get; set; }

        /// <summary>
        /// SyncFlag
        /// </summary>
        public bool? SyncFlag { get; set; }

        /// <summary>
        /// 班级状态
        /// </summary>
        public string ClassType { get; set; }
        /// <summary>
        /// 是否是拆分班级
        /// </summary>
        public bool? IsSeparate { get; set; }
        #endregion
        
    }
}