﻿using Learun.Util;
using System;
using System.ComponentModel.DataAnnotations.Schema;

namespace Learun.Application.Organization
{
    /// <summary>
    /// 版 本 Learun-ADMS-Ultimate V7.0.0 数字化智慧校园 
    /// Copyright (c) 2013-2018 北京泉江科技有限公司 
    /// 创建人：陈彬彬
    /// 日 期：2017.03.04
    /// 描 述：部门管理
    /// </summary>
    public class DepartmentEntity
    {
        #region  实体成员
        /// <summary>
        /// 部门主键
        /// </summary>
        /// <returns></returns>
        //[Column("F_DEPARTMENTID")]
        public string F_DepartmentId { get; set; }
        /// <summary>
        /// 公司主键
        /// </summary>
        /// <returns></returns>
        //[Column("F_COMPANYID")]
        public string F_CompanyId { get; set; }
        /// <summary>
        /// 父级主键
        /// </summary>
        /// <returns></returns>
        //[Column("F_PARENTID")]
        public string F_ParentId { get; set; }
        /// <summary>
        /// 部门代码
        /// </summary>
        /// <returns></returns>
        //[Column("F_ENCODE")]
        public string F_EnCode { get; set; }
        /// <summary>
        /// 部门名称
        /// </summary>
        /// <returns></returns>
        //[Column("F_FULLNAME")]
        public string F_FullName { get; set; }
        /// <summary>
        /// 部门简称
        /// </summary>
        /// <returns></returns>
        //[Column("F_SHORTNAME")]
        public string F_ShortName { get; set; }
        /// <summary>
        /// 部门类型
        /// </summary>
        /// <returns></returns>
        //[Column("F_NATURE")]
        public string F_Nature { get; set; }
        /// <summary>
        /// 负责人
        /// </summary>
        /// <returns></returns>
        //[Column("F_MANAGER")]
        public string F_Manager { get; set; }
        /// <summary>
        /// 外线电话
        /// </summary>
        /// <returns></returns>
        //[Column("F_OUTERPHONE")]
        public string F_OuterPhone { get; set; }
        /// <summary>
        /// 内线电话
        /// </summary>
        /// <returns></returns>
        //[Column("F_INNERPHONE")]
        public string F_InnerPhone { get; set; }
        /// <summary>
        /// 电子邮件
        /// </summary>
        /// <returns></returns>
        //[Column("F_EMAIL")]
        public string F_Email { get; set; }
        /// <summary>
        /// 部门传真
        /// </summary>
        /// <returns></returns>
        //[Column("F_FAX")]
        public string F_Fax { get; set; }
        /// <summary>
        /// 排序码
        /// </summary>
        /// <returns></returns>
        //[Column("F_SORTCODE")]
        public int? F_SortCode { get; set; }
        /// <summary>
        /// 删除标记
        /// </summary>
        /// <returns></returns>
        //[Column("F_DELETEMARK")]
        public int? F_DeleteMark { get; set; }
        /// <summary>
        /// 有效标志
        /// </summary>
        /// <returns></returns>
        //[Column("F_ENABLEDMARK")]
        public int? F_EnabledMark { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        /// <returns></returns>
        //[Column("F_DESCRIPTION")]
        public string F_Description { get; set; }
        /// <summary>
        /// 创建日期
        /// </summary>
        /// <returns></returns>
        //[Column("F_CREATEDATE")]
        public DateTime? F_CreateDate { get; set; }
        /// <summary>
        /// 创建用户主键
        /// </summary>
        /// <returns></returns>
        //[Column("F_CREATEUSERID")]
        public string F_CreateUserId { get; set; }
        /// <summary>
        /// 创建用户
        /// </summary>
        /// <returns></returns>
        //[Column("F_CREATEUSERNAME")]
        public string F_CreateUserName { get; set; }
        /// <summary>
        /// 修改日期
        /// </summary>
        /// <returns></returns>
        //[Column("F_MODIFYDATE")]
        public DateTime? F_ModifyDate { get; set; }
        /// <summary>
        /// 修改用户主键
        /// </summary>
        /// <returns></returns>
        //[Column("F_MODIFYUSERID")]
        public string F_ModifyUserId { get; set; }
        /// <summary>
        /// 修改用户
        /// </summary>
        /// <returns></returns>
        //[Column("F_MODIFYUSERNAME")]
        public string F_ModifyUserName { get; set; }

        /// <summary>
        /// 分管校长Id
        /// </summary>
        /// <returns></returns>
        //[Column("F_SCHOOLMASTERID")]
        public string F_SchoolMasterId { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        /// <returns></returns>
        //[Column("F_ORDER")]
        public int? F_Order { get; set; }
        #endregion

    }
    /// <summary>
    /// 系部
    /// </summary>
    public class CdDeptEntity
    {
        #region  实体成员
        /// <summary>
        /// DeptId
        /// </summary>
        //[Column("DEPTID")]
        public string DeptId { get; set; }
        /// <summary>
        /// 系所代码（部门号）
        /// </summary>
        //[Column("DEPTNO")]
        public string DeptNo { get; set; }
        /// <summary>
        /// 系所名称(部门名）
        /// </summary>
        //[Column("DEPTNAME")]
        public string DeptName { get; set; }
        /// <summary>
        /// 系主任的职工号
        /// </summary>
        //[Column("DEPTDIRECTOR")]
        public string DeptDirector { get; set; }
        #endregion

    }
    /// <summary>
    /// 专业
    /// </summary>
    public class CdMajorEntity
    {
        #region  实体成员
        /// <summary>
        /// 标识列
        /// </summary>
        //[Column("ID")]
        public string ID { get; set; }
        /// <summary>
        /// 专业代码
        /// </summary>
        //[Column("MAJORNO")]
        public string MajorNo { get; set; }
        /// <summary>
        /// 专业名称
        /// </summary>
        //[Column("MAJORNAME")]
        public string MajorName { get; set; }
        /// <summary>
        /// 学制
        /// </summary>
        //[Column("LENGTHOFSCHOOLING")]
        public decimal? LengthOfSchooling { get; set; }
        /// <summary>
        /// 系所代码
        /// </summary>
        //[Column("DEPTNO")]
        public string DeptNo { get; set; }
        #endregion
        
    }
    /// <summary>
    /// 教室
    /// </summary>
    public class ClassroomInfoEntity
    {
        #region  实体成员
        /// <summary>
        /// ClassroomId
        /// </summary>
        //[Column("CLASSROOMID")]
        public string ClassroomId { get; set; }
        /// <summary>
        /// 教室编号
        /// </summary>
        //[Column("CLASSROOMNO")]
        public string ClassroomNo { get; set; }
        /// <summary>
        /// 教室名称
        /// </summary>
        //[Column("CLASSROOMNAME")]
        public string ClassroomName { get; set; }
        /// <summary>
        /// 容纳人数
        /// </summary>
        //[Column("CONTAINSTUNUM")]
        public int? ContainStuNum { get; set; }
        #endregion
        
    }
    /// <summary>
    /// 学生
    /// </summary>
    public class StuInfoBasicEntity
    {
        #region  实体成员

        /// <summary>
        /// 学生用户ID
        /// </summary>
        //[Column("STUID")]
        public string F_UserId { get; set; }
        /// <summary>
        /// 学生ID
        /// </summary>
        //[Column("STUID")]
        public string StuId { get; set; }
        /// <summary>
        /// 学号
        /// </summary>
        //[Column("STUNO")]
        public string StuNo { get; set; }
        /// <summary>
        /// 系所代码
        /// </summary>
        //[Column("DEPTNO")]
        public string DeptNo { get; set; }
        /// <summary>
        /// 专业代码
        /// </summary>
        //[Column("MAJORNO")]
        public string MajorNo { get; set; }
        /// <summary>
        /// 年级
        /// </summary>
        //[Column("GRADE")]
        public string Grade { get; set; }
        /// <summary>
        /// 行政班号
        /// </summary>
        //[Column("CLASSNO")]
        public string ClassNo { get; set; }
        /// <summary>
        /// 姓名
        /// </summary>
        //[Column("STUNAME")]
        public string StuName { get; set; }
        /// <summary>
        /// 性别码
        /// </summary>
        //[Column("GENDERNO")]
        public bool? GenderNo { get; set; }
        /// <summary>
        /// 出生日期
        /// </summary>
        //[Column("BIRTHDAY")]
        public DateTime? Birthday { get; set; }
        /// <summary>
        /// 身份证号
        /// </summary>
        //[Column("IDENTITYCARDNO")]
        public string IdentityCardNo { get; set; }
        /// <summary>
        /// 联系电话（手机）
        /// </summary>
        //[Column("MOBILE")]
        public string mobile { get; set; }

        #endregion
    }
    
}
