﻿using Learun.Util;
using System;
using System.ComponentModel.DataAnnotations.Schema;

namespace Learun.Application.TwoDevelopment.ReceiveSendFeeManagement
{
    /// <summary>
    /// 版 本 Learun-ADMS V7.0.6 力软敏捷开发框架
    /// Copyright (c) 2013-2020 力软信息技术（苏州）有限公司
    /// 创 建：超级管理员
    /// 日 期：2023-08-07 15:52
    /// 描 述：学生年度缴费管理
    /// </summary>
    public class FinaChargeStuYearEntity 
    {
        #region 实体成员
        /// <summary>
        /// FSYId
        /// </summary>
        public string FSYId { get; set; }
        /// <summary>
        /// StuNo
        /// </summary>
        public string StuNo { get; set; }
        /// <summary>
        /// FSYear
        /// </summary>
        public int? FSYear { get; set; }
        /// <summary>
        /// 应缴金额（收费标准）
        /// </summary>
        public decimal? YJAmount { get; set; }
        /// <summary>
        /// 实缴金额（已缴金额）
        /// </summary>
        public decimal? SJAmount { get; set; }
        /// <summary>
        /// 应缴余额
        /// </summary>
        public decimal? NeedToPay { get; set; }
        /// <summary>
        /// 超出应收额
        /// </summary>
        public decimal? FSBlance { get; set; }
        /// <summary>
        /// 缴费标志（0未缴费，1已缴清，4部分缴纳）
        /// </summary>
        public int? PayFeeStatus { get; set; }
        #endregion

        #region 扩展操作
        /// <summary>
        /// 新增调用
        /// </summary>
        public void Create()
        {
            this.FSYId = Guid.NewGuid().ToString();
        }
        /// <summary>
        /// 编辑调用
        /// </summary>
        /// <param name="keyValue"></param>
        public void Modify(string keyValue)
        {
            this.FSYId = keyValue;
        }
        #endregion
        #region 扩展字段
        [NotMapped]
        public string DeptNo { get; set; }
        [NotMapped]
        public string MajorNo { get; set; }
        [NotMapped]
        public string ClassNo { get; set; }
        [NotMapped]
        public string Grade { get; set; }
        [NotMapped]
        public string IdentityCardNo { get; set; }
        [NotMapped]
        public string StuName { get; set; }
        [NotMapped]
        public bool? GenderNo { get; set; }
        [NotMapped]
        public decimal? PayMoney { get; set; }
        [NotMapped]
        public string orderid { get; set; }
        #endregion
    }
}

