﻿using Learun.Util;
using System;
using System.ComponentModel.DataAnnotations.Schema;

namespace Learun.Application.Organization
{
    /// <summary>
    /// 版 本 Learun-ADMS V7.0.6 力软敏捷开发框架
    /// Copyright (c) 2013-2020 力软信息技术（苏州）有限公司
    /// 创 建：超级管理员
    /// 日 期：2021-04-23 16:58
    /// 描 述：消息提醒
    /// </summary>
    public class MessageRemindEntity
    {
        #region 实体成员
        /// <summary>
        /// 主键
        /// </summary>
        public string MessageId { get; set; }
        /// <summary>
        /// 接收人
        /// </summary>
        public string ReceiptId { get; set; }
        /// <summary>
        /// 接收人
        /// </summary>
        public string ReceiptName { get; set; }
        /// <summary>
        /// 发送人
        /// </summary>
        public string SenderId { get; set; }
        /// <summary>
        /// 发送人
        /// </summary>
        public string SenderName { get; set; }
        /// <summary>
        /// 标题
        /// </summary>
        public string TheTitle { get; set; }
        /// <summary>
        /// 内容
        /// </summary>
        public string TheContent { get; set; }
        /// <summary>
        /// 实例url(能跳转)
        /// </summary>
        public string ConnectionUrl { get; set; }
        /// <summary>
        /// 实例Id
        /// </summary>
        public string InstanceId { get; set; }
        /// <summary>
        /// SendTime
        /// </summary>
        public DateTime? SendTime { get; set; }
        /// <summary>
        /// 是否已读
        /// </summary>
        public bool? ReadSigns { get; set; }
        #endregion
        
    }
}
