﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace DigitalSchoolApi.Models
{
    /// <summary>
    /// 描 述：学生成绩信息管理
    /// </summary>
    public class StuScoreEntity
    {
        #region  实体成员
        /// <summary>
        /// ScoreId
        /// </summary>
        /// <returns></returns>
        public int? ScoreId { get; set; }
        /// <summary>
        /// 通知书号
        /// </summary>
        /// <returns></returns>
        public string NoticeBookNo { get; set; }
        /// <summary>
        /// 学号
        /// </summary>
        /// <returns></returns>
        public string StuNo { get; set; }
        /// <summary>
        /// 学生所在系部
        /// </summary>
        /// <returns></returns>
        public string DeptNo { get; set; }
        /// <summary>
        /// 学生所在专业号
        /// </summary>
        /// <returns></returns>
        public string MajorNo { get; set; }
        /// <summary>
        /// 行政班号
        /// </summary>
        /// <returns></returns>
        public string ClassNo { get; set; }
        /// <summary>
        /// 姓名
        /// </summary>
        /// <returns></returns>
        public string StuName { get; set; }
        /// <summary>
        /// GenderNo
        /// </summary>
        /// <returns></returns>
        public string GenderNo { get; set; }
        /// <summary>
        /// 学年度
        /// </summary>
        /// <returns></returns>
        public string AcademicYearNo { get; set; }
        /// <summary>
        /// 学期
        /// </summary>
        /// <returns></returns>
        public string Semester { get; set; }
        /// <summary>
        /// 开课系部码
        /// </summary>
        /// <returns></returns>
        public string OpenLessonDeptNo { get; set; }
        /// <summary>
        /// 开课专业码
        /// </summary>
        /// <returns></returns>
        public string OpenLessonMajorNo { get; set; }
        /// <summary>
        /// 课程号
        /// </summary>
        /// <returns></returns>
        public string LessonNo { get; set; }
        /// <summary>
        /// 课程名称
        /// </summary>
        /// <returns></returns>
        public string LessonName { get; set; }
        /// <summary>
        /// LessonNameEn
        /// </summary>
        /// <returns></returns>
        public string LessonNameEn { get; set; }
        /// <summary>
        /// 教学班号
        /// </summary>
        /// <returns></returns>
        public string TeachClassNo { get; set; }
        /// <summary>
        /// 课程类别码
        /// </summary>
        /// <returns></returns>
        public string LessonSortNo { get; set; }
        /// <summary>
        /// 学生类别
        /// </summary>
        /// <returns></returns>
        public string StuSortNo { get; set; }
        /// <summary>
        /// 年级
        /// </summary>
        /// <returns></returns>
        public string Grade { get; set; }
        /// <summary>
        /// 学分
        /// </summary>
        /// <returns></returns>
        public decimal? StudyScore { get; set; }
        /// <summary>
        /// 总学时
        /// </summary>
        /// <returns></returns>
        public decimal? TotalStudyHour { get; set; }
        /// <summary>
        /// 专业属性
        /// </summary>
        /// <returns></returns>
        public string zysx { get; set; }
        /// <summary>
        /// 考核（试）方式码(关联表BCdTestMode)
        /// </summary>
        /// <returns></returns>
        public string TestModeNo { get; set; }
        /// <summary>
        /// ScoreRecordStyleNo
        /// </summary>
        /// <returns></returns>
        public string ScoreRecordStyleNo { get; set; }
        /// <summary>
        /// 平时成绩

        /// </summary>
        /// <returns></returns>
        public decimal? OrdinaryScore { get; set; }
        /// <summary>
        /// 期中成绩
        /// </summary>
        /// <returns></returns>
        public decimal? TermInScore { get; set; }
        /// <summary>
        /// 期末成绩 学期
        /// </summary>
        /// <returns></returns>
        public decimal? TermEndScore { get; set; }
        /// <summary>
        /// OtherScore
        /// </summary>
        /// <returns></returns>
        public decimal? OtherScore { get; set; }
        /// <summary>
        /// 总评成绩
        /// </summary>
        /// <returns></returns>
        public decimal? Score { get; set; }
        /// <summary>
        /// 绩点
        /// </summary>
        /// <returns></returns>
        public decimal? ScorePoint { get; set; }
        /// <summary>
        /// 考试日期
        /// </summary>
        /// <returns></returns>
        public DateTime? TestDate { get; set; }
        /// <summary>
        /// 是否有效
        /// </summary>
        /// <returns></returns>
        public string IsInEffect { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        /// <returns></returns>
        public string Remark { get; set; }
        /// <summary>
        /// 冲突课程代码
        /// </summary>
        /// <returns></returns>
        public string ConflictLessonNo { get; set; }
        /// <summary>
        /// 是否重修成绩
        /// </summary>
        /// <returns></returns>
        public string IsReStudy { get; set; }
        /// <summary>
        /// 审查标志
        /// </summary>
        /// <returns></returns>
        public string CheckMark { get; set; }
        /// <summary>
        /// 是否选中
        /// </summary>
        /// <returns></returns>
        public string IsPitchOn { get; set; }
        /// <summary>
        /// 教师号
        /// </summary>
        /// <returns></returns>
        public string EmpNo { get; set; }
        /// <summary>
        /// 专业教学计划编码
        /// </summary>
        /// <returns></returns>
        public string TechPlanNo { get; set; }
        /// <summary>
        /// 考试性质码（关联表CdTestKind）
        /// </summary>
        /// <returns></returns>
        public string TestKindNo { get; set; }
        /// <summary>
        /// 课程区别码(此编码针对同一课程编号，同一门课程、不同课时、学分的情况而加，由系统自动产生以区分此类课程）
        /// </summary>
        /// <returns></returns>
        public string PartCode { get; set; }
        /// <summary>
        /// LessonSection
        /// </summary>
        /// <returns></returns>
        public string LessonSection { get; set; }
        /// <summary>
        /// ClassRoomNo
        /// </summary>
        /// <returns></returns>
        public string ClassRoomNo { get; set; }
        /// <summary>
        /// ClassRoomName
        /// </summary>
        /// <returns></returns>
        public string ClassRoomName { get; set; }
        /// <summary>
        /// IsEditable
        /// </summary>
        /// <returns></returns>
        public string IsEditable { get; set; }
        /// <summary>
        /// EditUserId
        /// </summary>
        /// <returns></returns>
        public string EditUserId { get; set; }
        /// <summary>
        /// ModifyDate
        /// </summary>
        /// <returns></returns>
        public DateTime? ModifyDate { get; set; }
        
        public DateTime? BeginModifyDate { get; set; }
        /// <summary>
        /// ModifyUserId
        /// </summary>
        /// <returns></returns>
        public string ModifyUserId { get; set; }
        /// <summary>
        /// ModifyUserName
        /// </summary>
        /// <returns></returns>
        public string ModifyUserName { get; set; }
        /// <summary>
        /// 学校主键
        /// </summary>
        /// <returns></returns>
        public string F_SchoolId { get; set; }

        #endregion

    }
}